Page MenuHomePhabricator

Archive "JADE" extension repository
Closed, ResolvedPublic

Description

This task is complete when the "JADE" repository (at the all-caps) name is archived, pointing to the new name.

Event Timeline

Harej created this task.Apr 19 2019, 2:23 AM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 19 2019, 2:23 AM
Harej added a comment.Apr 19 2019, 2:23 AM

If this is already done and Gerrit is just really terrible at signaling this, you can close this task.

Harej triaged this task as High priority.Apr 19 2019, 2:27 AM
hashar closed this task as Resolved.Apr 19 2019, 8:18 AM
hashar added a project: Cleanup.
hashar added a subscriber: hashar.

It is not archived @Harej :] We need to mark it read-only!

I have renamed the group https://gerrit.wikimedia.org/r/#/admin/groups/1435,info

https://gerrit.wikimedia.org/r/#/admin/projects/mediawiki/extensions/JADE is now read only and its description is prefixed with [ARCHIVED].

All pending patches have been abandoned https://gerrit.wikimedia.org/r/#/q/project:+mediawiki/extensions/JADE

:)

thcipriani reopened this task as Open.Apr 30 2019, 6:34 PM
thcipriani added a subscriber: thcipriani.

This is not done until it has been removed from make-wmf-branch. I don't know the status of JADE so I don't know what the consequences are of renaming it in terms of localization updates for new branch deployments. I, unfortunately, discovered this in the middle of cutting a branch and consequently don't have the cycles to look more deeply at this space. Release-Engineering-Team can look at this this coming week.

I am unarchiving the repo for the time being so that I can get the branch cut for 1.34.0-wmf.3 done. I am also reopening this task.

I already mentioned this issue: T212182#5142769 It would be great if we can find a solution to this.

Halfak removed Ladsgroup as the assignee of this task.May 13 2019, 4:21 PM
Halfak added a subscriber: Ladsgroup.
Reedy closed this task as Resolved.Jun 4 2019, 12:12 PM
Reedy added a subscriber: Reedy.

It looks like it's been archived again, hence T224972: make-wmf-branch fails for /mediawiki/extensions/JADE

Closing